%define module_name cdfs
%define module_version 2.6.3
%define module_release alt2
%define module_source %module_name-%module_version.tar.bz2
%define module_source_dir %module_name-%module_version

Name: kernel-source-%module_name
Version: %module_version
Release: %module_release
Summary: Linux %module_name modules sources
License: GPL
Group: Development/Kernel
BuildArch: noarch

Source0: %module_source
Source1: Makefile.%module_name
# lost in new version
Source2: cdfs.png
Patch1: %module_name-%module_version-alt-cdfs.h-fixes.patch

BuildPreReq: kernel-build-tools >= 0.1-alt3

%package -n kernel-doc-%module_name
Version: %module_version
Summary: Linux %module_name modules documentation
Group: Development/Kernel

%description
%module_name modules sources for Linux kernel

%description -n kernel-doc-%module_name
%module_name modules documentation for Linux kernel

%prep
%setup -c -n %module_source_dir
%patch1 -p0
%__install -m644 %SOURCE1 %module_source_dir/Makefile

%install
%__mkdir_p %buildroot%kernel_src

%__mkdir_p %buildroot%_defaultdocdir/%module_name-doc-%module_version
%__mv %module_source_dir/INSTALL \
    %module_source_dir/%module_name.html \
    %buildroot%_defaultdocdir/%module_name-doc-%module_version
%__install -p %SOURCE2 %buildroot%_defaultdocdir/%module_name-doc-%module_version

%__mv %module_source_dir kernel-source-%module_name-%module_version
%__tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
    %buildroot%kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%files
%kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%files -n kernel-doc-%module_name
%doc %_defaultdocdir/%module_name-doc-%module_version 

%changelog
* Fri May 14 2004 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.3-alt2
- fix BuildReqs

* Tue Apr 06 2004 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.3-alt1
- new version, 2.6 support 
- spec changes

* Fri Nov 14 2003 Andrey Rahmatullin <wrar@altlinux.ru> 2.4.20a-alt1
- initial build
